BIN = target/debug/mineclone

SHADERS = shaders/vert.spv shaders/frag.spv
SOURCES = $(shell find src -name '*.rs')

all: $(SHADERS) $(BIN)

run: all
	cargo run

$(BIN): $(SOURCES)
	cargo build

%.spv: %.vert
	glslc $< -o $@

%.spv: %.frag
	glslc $< -o $@
